Bug 1282771 - IO hangs after detach tier commit of nfs mount
IO hangs after detach tier commit of nfs mount
Status: ASSIGNED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier (Show other bugs)
3.1
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Dan Lambright
nchilaka
tier-fuse-nfs-samba
: ZStream
Depends On: 1306930
Blocks: 1358581
  Show dependency treegraph
 
Reported: 2015-11-17 06:21 EST by Bhaskarakiran
Modified: 2017-12-06 13:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1358581 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bhaskarakiran 2015-11-17 06:21:44 EST
Description of problem:
=======================

Created a 8+4 disperse volume and attached a 2x2 hot tier. While IO is running, detached hot tier and committed, IO hangs on the client. This is on NFS mount.

Version-Release number of selected component (if applicable):
==============================================================
3.7.5-6

[root@vertigo glusterfs]# gluster --version
glusterfs 3.7.5 built on Nov 10 2015 00:13:38
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.
[root@vertigo glusterfs]# 

How reproducible:
=================
100%

Steps to Reproduce:
1. create a 8+4 ec volume and attach a 2x2 dist-rep hot tier
2. NFS mount on the client. untar kernel tarball and while it is in progress detach tier and commit.
3. Check the IO from client

Actual results:
===============
IO hangs

Expected results:
=================
IO should continue to run.

Additional info:
================
sosreports will be copied to rhsqe.
Comment 2 Soumya Koduri 2015-11-24 04:10:15 EST
It seems to be rpc throttle issue. I see so many outstanding requests during attach/detach-tier operations. Once the throttle limit is set to zero, I do not see any hangs. 

Request QE to try re-runnig the tests after disabling throttling and confirm if the issue still persist. Thanks!

Note You need to log in before you can comment on or make changes to this bug.